# eric3.Debugger.AsyncIOBase

Module implementing a Qt free base class of an asynchronous interface for the debugger.

### Classes

AsyncIOBase | Class implementing asynchronous reading and writing.

### Functions

None

## AsyncIOBase

Class implementing asynchronous reading and writing.

### Derived from

None

### Methods

AsyncIOBase | Constructor
disconnect | Public method to disconnect any current connection.
readReady | Protected method called when there is data ready to be read.
setDescriptors | Public method called to set the descriptors for the connection.
write | Public method to write a string.
writeReady | Protected method called when we are ready to write data.

### AsyncIOBase (Constructor)

AsyncIOBase()

Constructor

parent
  the optional parent of this object (QObject) (ignored)

### AsyncIOBase.disconnect

disconnect()

Public method to disconnect any current connection.

### AsyncIOBase.readReady

readReady(fd)

Protected method called when there is data ready to be read.

fd
  file descriptor of the file that has data to be read (int)

### AsyncIOBase.setDescriptors

setDescriptors(rfd, wfd)

Public method called to set the descriptors for the connection.

fd
  file descriptor of the input file (int)
wfd
  file descriptor of the output file (int)

### AsyncIOBase.write

write(s)

Public method to write a string.

s
  the data to be written (string)

### AsyncIOBase.writeReady

writeReady(fd)

Protected method called when we are ready to write data.

fd
  file descriptor of the file that has data to be written (int)

Up